package com.denachina.pickle.ui;

import android.content.Context;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.denachina.lcm.sdk.bank.VCBundle;
import com.denachina.pickle.util.ResourceManager;

/**
 * Created by he.b.wang on 16/5/4.
 */
public class ProductItemView extends RelativeLayout {
    private TextView productNameTextView;
    private TextView priceTextView;
    private VCBundle vcBundle;
    private ResourceManager R;

    public ProductItemView(Context context) {
        super(context);
        R = ResourceManager.getInstance(context);
        initView(context);
    }

    public void initView(Context context) {
        LayoutInflater flater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        flater.inflate(R.getLayoutForId("grad_view_layout"), this);
        productNameTextView = (TextView) findViewById(R.getId("product_name"));
        priceTextView = (TextView) findViewById(R.getId("price_view"));
    }

    public void setProductName(String productName) {
        if (productNameTextView != null && !TextUtils.isEmpty(productName)) {
            productNameTextView.setText(productName);
        }
    }

    public void setPrice(String price) {
        if (priceTextView != null && !TextUtils.isEmpty(price)) {
            priceTextView.setText(price);
        }
    }

    public void setVcBundle(VCBundle vcBundle) {
        this.vcBundle = vcBundle;
        if (vcBundle != null) {
            setProductName(vcBundle.getBundleDesc());
            setPrice(String.valueOf(vcBundle.getPrice()));
        }
    }

    public VCBundle getVcBundle() {
        return vcBundle;
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, widthMeasureSpec);
    }
}
